test: kbd106n.c File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# kbd106n.c File Reference

`#include <windows.h>`
`#include <ime.h>`
`#include "vkoem.h"`
`#include "kbdjpn.h"`
`#include "kbd106n.h"`

Go to the source code of this file.

## Defines

#define | ALLOC_SECTION_LDATA

## Functions

PKBDTABLES | KbdLayerDescriptor (VOID)
PKBDNLSTABLES | KbdNlsLayerDescriptor (VOID)

## Variables

ALLOC_SECTION_LDATA USHORT | ausVK []
ALLOC_SECTION_LDATA VSC_VK | aE0VscToVk []
ALLOC_SECTION_LDATA VSC_VK | aE1VscToVk []
ALLOC_SECTION_LDATA VK_TO_BIT | aVkToBits []
ALLOC_SECTION_LDATA MODIFIERS | CharModifiers
ALLOC_SECTION_LDATA VK_TO_WCHARS4 | aVkToWch4 []
ALLOC_SECTION_LDATA VK_TO_WCHARS6 | aVkToWch6 []
ALLOC_SECTION_LDATA VK_TO_WCHARS8 | aVkToWch8 []
ALLOC_SECTION_LDATA VK_TO_WCHARS4 | aVkToWch1 []
ALLOC_SECTION_LDATA VK_TO_WCHAR_TABLE | aVkToWcharTable []
ALLOC_SECTION_LDATA VSC_LPWSTR | aKeyNames []
ALLOC_SECTION_LDATA VSC_LPWSTR | aKeyNamesExt []
ALLOC_SECTION_LDATA KBDTABLES | KbdTables
ALLOC_SECTION_LDATA VK_F | VkToFuncTable_106 []
ALLOC_SECTION_LDATA KBDNLSTABLES | KbdNlsTables

## Define Documentation

#define ALLOC_SECTION_LDATA

| Definition at line 20 of file kbd106n.c.

## Function Documentation

PKBDTABLES KbdLayerDescriptor | ( | VOID |  | ) |

Definition at line 476 of file kbd106n.c.

References KbdTables.

    00477 {
    00478     return &KbdTables;
    00479 }

PKBDNLSTABLES KbdNlsLayerDescriptor | ( | VOID |  | ) |

Definition at line 607 of file kbd106n.c.

References KbdNlsTables.

    00608 {
    00609     return &KbdNlsTables;
    00610 }

## Variable Documentation

ALLOC_SECTION_LDATA VSC_VK aE0VscToVk[]`[static]`

| Definition at line 120 of file kbd106n.c.

ALLOC_SECTION_LDATA VSC_VK aE1VscToVk[]`[static]`

Initial value:

     {
            { 0x1D, Y1D                       },
            { 0   ,   0                       }
    }

Definition at line 162 of file kbd106n.c.

ALLOC_SECTION_LDATA VSC_LPWSTR aKeyNames[]`[static]`

| Definition at line 367 of file kbd106n.c.

ALLOC_SECTION_LDATA VSC_LPWSTR aKeyNamesExt[]`[static]`

Initial value:

     {
        0x1c,    L"Num Enter",
        0x1d,    L"Right Control",
        0x35,    L"Num /",
        0x37,    L"Prnt Scrn",
        0x38,    L"Right Alt",
        0x45,    L"Num Lock",
        0x46,    L"Break",
        0x47,    L"Home",
        0x48,    L"Up",
        0x49,    L"Page Up",
        0x4b,    L"Left",
        0x4d,    L"Right",
        0x4f,    L"End",
        0x50,    L"Down",
        0x51,    L"Page Down",
        0x52,    L"Insert",
        0x53,    L"Delete",
        0x5B,    L"Left Windows",
        0x5C,    L"Right Windows",
        0x5D,    L"Application",
        0   ,    NULL
    }

Definition at line 415 of file kbd106n.c.

ALLOC_SECTION_LDATA USHORT ausVK[]`[static]`

| Definition at line 27 of file kbd106n.c.

ALLOC_SECTION_LDATA VK_TO_BIT aVkToBits[]`[static]`

Initial value:

     {
        { VK_SHIFT,   KBDSHIFT },
        { VK_CONTROL, KBDCTRL  },
        { VK_MENU,    KBDALT   },
        { VK_KANA,    KBDKANA  },
        { 0,          0        }
    }

Definition at line 178 of file kbd106n.c.

ALLOC_SECTION_LDATA VK_TO_WCHARS4 aVkToWch1[]`[static]`

Initial value:

     {

        { VK_NUMPAD0   , 0      ,  '0'    , WCH_NONE ,   '0'  ,WCH_NONE},
        { VK_NUMPAD1   , 0      ,  '1'    , WCH_NONE ,   '1'  ,WCH_NONE},
        { VK_NUMPAD2   , 0      ,  '2'    , WCH_NONE ,   '2'  ,WCH_NONE},
        { VK_NUMPAD3   , 0      ,  '3'    , WCH_NONE ,   '3'  ,WCH_NONE},
        { VK_NUMPAD4   , 0      ,  '4'    , WCH_NONE ,   '4'  ,WCH_NONE},
        { VK_NUMPAD5   , 0      ,  '5'    , WCH_NONE ,   '5'  ,WCH_NONE},
        { VK_NUMPAD6   , 0      ,  '6'    , WCH_NONE ,   '6'  ,WCH_NONE},
        { VK_NUMPAD7   , 0      ,  '7'    , WCH_NONE ,   '7'  ,WCH_NONE},
        { VK_NUMPAD8   , 0      ,  '8'    , WCH_NONE ,   '8'  ,WCH_NONE},
        { VK_NUMPAD9   , 0      ,  '9'    , WCH_NONE ,   '9'  ,WCH_NONE},
        { 0            , 0      ,  '\0'   , 0        ,   0    ,0       }
    }

Definition at line 321 of file kbd106n.c.

ALLOC_SECTION_LDATA VK_TO_WCHARS4 aVkToWch4[]`[static]`

| Definition at line 239 of file kbd106n.c.

ALLOC_SECTION_LDATA VK_TO_WCHARS6 aVkToWch6[]`[static]`

Initial value:

     {

        {VK_BACK      , 0       ,'\b'      ,'\b'      ,'\b'    ,'\b'    , 0x7f      , 0x7f      },
        {VK_CANCEL    , 0       ,0x03      ,0x03      ,0x03    ,0x03    , 0x03      , 0x03      },
        {VK_ESCAPE    , 0       ,0x1b      ,0x1b      ,0x1b    ,0x1b    , 0x1b      , 0x1b      },
        {VK_OEM_4     , KANALOK ,'['       ,'{'       ,WCH_SVS ,WCH_OB  , 0x1b      , 0x1b      },
        {VK_OEM_5     , KANALOK ,'\\'      ,'|'       ,WCH_PS  ,WCH_PS  , 0x1c      , 0x1c      },
        {VK_OEM_102   , KANALOK ,'\\'      ,'_'       ,WCH_RO  ,WCH_RO  , 0x1c      , 0x1c      },
        {VK_OEM_6     , KANALOK ,']'       ,'}'       ,WCH_MU  ,WCH_CB  , 0x1d      , 0x1d      },
        {VK_RETURN    , 0       ,'\r'      ,'\r'      ,'\r'    ,'\r'    , '\n'      , '\n'      },
        {VK_SPACE     , 0       ,        ,        ,      ,      , 0x20      , 0x20      },
        {0            , 0       ,0         ,0         ,0       ,0       , 0         , 0         }
    }

Definition at line 293 of file kbd106n.c.

ALLOC_SECTION_LDATA VK_TO_WCHARS8 aVkToWch8[]`[static]`

Initial value:

     {

        {'2'          , KANALOK ,'2'       ,'"'       ,WCH_HU  ,WCH_HU  , WCH_NONE  , WCH_NONE  , 0x00      , 0x00      },
        {'6'          , KANALOK ,'6'       ,'&'       ,WCH_O   ,WCH_OO  , WCH_NONE  , WCH_NONE  , 0x1e      , 0x1e      },
        {VK_OEM_MINUS , KANALOK ,'-'       ,'='       ,WCH_HO  ,WCH_HO  , WCH_NONE  , WCH_NONE  , 0x1f      , 0x1f      },
        {0            , 0       ,0         ,0         ,0       ,0       , 0         , 0         , 0         , 0         }
    }

Definition at line 308 of file kbd106n.c.

ALLOC_SECTION_LDATA VK_TO_WCHAR_TABLE aVkToWcharTable[]`[static]`

Initial value:

     {
        {  (PVK_TO_WCHARS1)aVkToWch6, 6, sizeof(aVkToWch6[0]) },
        {  (PVK_TO_WCHARS1)aVkToWch8, 8, sizeof(aVkToWch8[0]) },
        {  (PVK_TO_WCHARS1)aVkToWch4, 4, sizeof(aVkToWch4[0]) },
        {  (PVK_TO_WCHARS1)aVkToWch1, 4, sizeof(aVkToWch1[0]) },
        {                       NULL, 0, 0                    }
    }

Definition at line 350 of file kbd106n.c.

ALLOC_SECTION_LDATA MODIFIERS CharModifiers`[static]`

Initial value:

     {
        &aVkToBits[0],
        11,
        {

            0,
            1,
            4,
            6,
            SHFT_INVALID,
            SHFT_INVALID,
            SHFT_INVALID,
            SHFT_INVALID,
            2,
            3,
            5,
            7
        }
    }

Definition at line 193 of file kbd106n.c.

ALLOC_SECTION_LDATA KBDNLSTABLES KbdNlsTables`[static]`

Initial value:

     {
        0,
        0,
        4,
        VkToFuncTable_106,
        0,
        NULL
    }

Definition at line 598 of file kbd106n.c.

Referenced by KbdNlsLayerDescriptor().

ALLOC_SECTION_LDATA KBDTABLES KbdTables`[static]`

Initial value:

     {

        &CharModifiers,

        aVkToWcharTable,

        NULL,

        aKeyNames,
        aKeyNamesExt,
        NULL,

        ausVK,
        sizeof(ausVK) / sizeof(ausVK[0]),
        aE0VscToVk,
        aE1VscToVk,

        0
    }

Definition at line 439 of file kbd106n.c.

Referenced by KbdLayerDescriptor().

ALLOC_SECTION_LDATA VK_F VkToFuncTable_106[]`[static]`

| Definition at line 486 of file kbd106n.c.